Subject: bug#25298: 11.89.8; Background for previews wrong with tikz and fill

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 09:56:41 +0100

Gennady Uraltsev <[email-masked]> writes:

> Consider a minimal TeX file that uses the tikz library. If it includes a
> tikz-picture with a \fill directive then the color for ALL previews is
> wrong (the reference-face is not respected). This happens even if the
> actual tikzpicture is not previewed (it is not inside a figure
> environment).
>
> Attaching a minimal non-working example and a screenshot

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure if I understand this report correctly, but this is what I
see when I 'preview' your file:

What is missing?

Best, Arash